PLSFONT(3)

NAME
plsfont - Set family, style and weight of the current font

SYNOPSIS
plsfont(family, style, weight)

DESCRIPTION

Sets the current font. See the PLplot documentation for more information on font selection.

Redacted form: plsfont(family, style, weight)

This function is used in example 23.

ARGUMENTS

family (PLINT(3), input)
    Font family to select for the current font. The available values are given by the PL_FCI_* constants in plplot.h. Current options are PL_FCI_SANS, PL_FCI_SERIF, PL_FCI_MONO, PL_FCI_SCRIPT and PL_FCI_SYMBOL. A negative value signifies that the font family should not be altered.

style (PLINT(3), input)
    Font style to select for the current font. The available values are given by the PL_FCI_* constants in plplot.h. Current options are PL_FCI_UPRIGHT, PL_FCI_ITALIC and PL_FCI_OBLIQUE. A negative value signifies that the font style should not be altered.

weight (PLINT(3), input)
    Font weight to select for the current font. The available values are given by the PL_FCI_* constants in plplot.h. Current options are PL_FCI_MEDIUM and PL_FCI_BOLD. A negative value signifies that the font weight should not be altered.

AUTHORS
Many developers (who are credited at http://plplot.org/credits.php) have contributed to PLplot over its long history.

SEE ALSO
PLplot documentation at http://plplot.org/documentation.php.